<?php

/**
 * Lite Manager
 *
 * @package traffica
 */
/**
 * About page class
 */
require_once get_template_directory() . '/ti-notifications/ti-about-page/class-inkthemes-about-page.php';

$func = 'general_admin_notice';
/*
 * About page instance
 */
$config = array(
    // Menu name under Appearance.
    'menu_name' => apply_filters('traffica_about_page_filter', __('About Traffica', 'traffica'), 'menu_name'),
    // Page title.
    'page_name' => apply_filters('traffica_about_page_filter', __('About Traffica', 'traffica'), 'page_name'),
    // Main welcome title
    /* translators: s - theme name */
    'welcome_title' => apply_filters('traffica_about_page_filter', sprintf(__('Welcome to %s !', 'traffica'), 'Traffica'), 'welcome_title'),
    // Main welcome content
    'welcome_content' => apply_filters('traffica_about_page_filter', esc_html__('The Traffica WordPress Theme is simple and beautiful with lots of customization options. Front-end customization is a unique functionality of Traffica so that user can quickly make changes from the left sidebar menu and see the changes in real time. It has different sliders and custom logo options using which one can design his website homepage with unique business logo and attractive images. Multiple Social Icons, Live Customizer, Section On/Off Functionality for Blog and Footer Page, Background images, and other styling features make this theme very unique to stand out from others. The theme can be used for all kind professional as well as personal websites. ', 'traffica'), 'welcome_content'),
    /**
     * Tabs array.
     *
     * The key needs to be ONLY consisted from letters and underscores. If we want to define outside the class a function to render the tab,
     * the will be the name of the function which will be used to render the tab content.
     */
    'tabs' => array(
        'getting_started' => __('Getting Started', 'traffica'),
        'support' => __('Support', 'traffica'),
        'changelog' => __('Changelog', 'traffica'),
        'free_pro' => __('Free vs Paid', 'traffica'),
    ),
    // Support content tab.
    'support_content' => array(
        'first' => array(
            'title' => esc_html__('Contact Support', 'traffica'),
//			'icon'         => 'dashicons dashicons-sos',
            'text' => esc_html__('Our support staff is always dedicated to hold your website up and running without any glitch. If you need any kind help while creating a website with Traffica you can contact us via our conatct form.', 'traffica'),
            'button_label' => esc_html__('Contact Us', 'traffica'),
            'button_link' => esc_url('https://www.inkthemes.com/contact-us/'),
            'is_button' => true,
            'is_new_tab' => true,
        ),
        'second' => array(
            'title' => esc_html__('Support', 'traffica'),
//			'icon'         => 'dashicons dashicons-book-alt',
            'text' => esc_html__('Checkout our support forum for more help.', 'traffica'),
            'button_label' => esc_html__('Support Forum', 'traffica'),
            'button_link' => 'https://wordpress.org/support/theme/traffica',
            'is_button' => false,
            'is_new_tab' => true,
        ),
        'third' => array(
            'title' => esc_html__('Changelog', 'traffica'),
//			'icon'         => 'dashicons dashicons-portfolio',
            'text' => esc_html__('We keep a track and manitain all the records of our enhanced features or latest versions of theme in the Changelog. You can find all those changes and updated anytime in our Changelog.', 'traffica'),
            'button_label' => esc_html__('Changelog', 'traffica'),
            'button_link' => esc_url(admin_url('themes.php?page=traffica-welcome&tab=changelog&show=yes')),
            'is_button' => false,
            'is_new_tab' => false,
        ),
    ),
    // Getting started tab
    'getting_started' => array(
        'first' => array(
            'title' => esc_html__('', 'traffica'),
            'text' => $func()
        ),
        'second' => array(
            'title' => esc_html__('Traffica Theme - Full Documentation', 'traffica'),
            'text' => esc_html__('Read full documentation of Traffica lite WordPress Theme. In case any issue, you can go to the community forum of InkThemes and get instant solution to your queries.', 'traffica'),
            'button_label' => esc_html__('View  Traffica lite Documentation', 'traffica'),
            'button_link' => 'https://www.inkthemes.com/how-to-create-an-online-clothing-store-with-wordpress-theme/',
            'is_button' => false,
            'recommended_actions' => false,
            'is_new_tab' => true,
        ),
        'third' => array(
            'title' => esc_html__('Upgrade to Traffica Wordpress Theme[Pro] ', 'traffica'),
            'text' => esc_html__('Make a move to Traffica pro. Get Advance CSS, Mobile friendliness and more when you switch from basic to advance', 'traffica'),
            'button_label' => esc_html__('View Pro Features', 'traffica'),
            'button_link' => 'https://www.inkthemes.com/market/yoga-studio-wordpress-theme/',
            'is_button' => false,
            'recommended_actions' => true,
            'is_new_tab' => false,
        ),
    ),
    // Free vs PRO array.
    'free_pro' => array(
        'free_theme_name' => 'Traffica',
        'pro_theme_name' => 'Traffica Pro',
        'pro_theme_link' => 'https://www.inkthemes.com/market/yoga-studio-wordpress-theme/',
        /* translators: s - theme name */
        'get_pro_theme_label' => sprintf(__('Get %s now!', 'traffica'), 'Traffica Pro'),
        'banner_link' => 'https://www.inkthemes.com/doc/traffica-wordpress-theme-documentation/',
        'banner_src' => get_template_directory_uri() . '/assets/images/feature-image.png',
        'features' => array(
            array(
                'title' => __('Translation Ready', 'traffica'),
                'description' => __('The theme is compatible with WPML plugin and you can display the contents in your desired language.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Live Customizer', 'traffica'),
                'description' => __('Visible Editing Shortcuts For HomePage Elements. Now, edit the content directly by clicking the edit icon(pencil) on homepage elements.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Mobile friendly', 'traffica'),
                'description' => __('Responsive layout. Works on every device.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Background Image', 'traffica'),
                'description' => __('You can use any background image you want.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
//            array(
//                'title' => __('Contact Form With Google reCaptcha', 'traffica'),
//                'description' => __('Get Leads directly to your Inbox.', 'traffica'),
//                'is_in_lite' => 'true',
//                'is_in_pro' => 'true',
//            ),
            array(
                'title' => __('Social Icons', 'traffica'),
                'description' => __('Add Social Icons for your Business website.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Blog Post Box On/Off', 'traffica'),
                'description' => __('You can Enable or Disable the Home page Blog Post Section.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Footer Widget Section On/Off', 'traffica'),
                'description' => __('You can Enable or Disable the Footer Section.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Slider Two Types', 'traffica'),
                'description' => __('Change Normal and Layered Slider Types As per Your Choice', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Slider Speed Control', 'traffica'),
                'description' => __('Change Speed of Slider As Required', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Six Slider In Home page', 'traffica'),
                'description' => __('Change Slider Settings through Customizer.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Feature Column Structure', 'traffica'),
                'description' => __('Choose whether you want 3-column structure or 4-column structure for feature box.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Home Page Display No Of Blogs', 'traffica'),
                'description' => __('Change the number of blogs you want to display for home page.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Footer Widget Area Column Option', 'traffica'),
                'description' => __('Change Footer Settings through Customizer.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Page and Blog Sidebar Layout', 'traffica'),
                'description' => __('Change Layout of Blog and Page through Customizer in three Different Ways.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Typography', 'traffica'),
                'description' => __('You can use any font family as you want.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Contact Map Page', 'traffica'),
                'description' => __('Setup Contact Map Page for Your Theme.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Add Unlimited Feature Box In Home Page', 'traffica'),
                'description' => __('Add Feature Box As Much As You Want.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Copyright Footer Text', 'traffica'),
                'description' => __('Change your Copyright Footer Text for your business website.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Styling Options', 'traffica'),
                'description' => __('Design your website with more colors and styles.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('Google Analytics Tracking Code', 'traffica'),
                'description' => __('Analyze and track the number of visitors on your website with Google Analytics.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('SEO Optimized', 'traffica'),
                'description' => __('Get a completely SEO optimized website for your business.', 'traffica'),
                'is_in_lite' => 'false',
                'is_in_pro' => 'true',
            ),
            array(
                'title' => __('24*7 Support', 'traffica'),
                'description' => __('Get instant solution to all your queries with our 24*7 support.', 'traffica'),
                'is_in_lite' => 'true',
                'is_in_pro' => 'true',
            ),
        ),
    ),
);
inkthemes_About_Page::init(apply_filters('traffica_about_page_array', $config));

function general_admin_notice() {

//    global $pagenow;
//    if ($pagenow == 'themes.php?page=andrina-lite-welcome') {
    include_once(ABSPATH . 'wp-admin/includes/plugin.php');
    if (!file_exists(WP_PLUGIN_DIR . '/colorway-sites/colorway-sites.php') || is_plugin_inactive('colorway-sites/colorway-sites.php')) {

        $content = '<div id="colorway-sites-on-active" data-repeat-notice-after="">
                    <div class="notice-container">
                        <div class="welcome-notice">
                            <h4 class="notice-heading">Thank you ! </h4>
                            <p>'. wp_get_theme()->get( 'Name' ).' is successfully installed and ready to use.</p>
                        </div>
                        <hr/>
                        <div class="colorway-sites-wrap">
                        <div class="block1-container">
                        <div class="top-container">
                            <div class="notice-image">
                            <img src="' . get_template_directory_uri() . '/assets/images/cw-img.png" class="custom-logo" alt="Traffica">
                            </div> 
                            
                        <div class="notice-content">
                        <div class="colorway-sites-block">
                        <h4>Colorway Sites - Pre-designed Elementor Templates Library</h4>
                        <p>'. wp_get_theme()->get( 'Name' ).' theme is fully compatible with Elementor builder. Simply install the Colorway Sites plugin & import any of our prebuilt Elementor based templates to get started.</p>
                        </div>
	<div class="colorway-review-notice-container">';

        // ColorWay Sites - Installed but Inactive.
        // ColorWay Premium Sites - Inactive.
        if (file_exists(WP_PLUGIN_DIR . '/colorway-sites/colorway-sites.php') && is_plugin_inactive('colorway-sites/colorway-sites.php') && is_plugin_inactive('colorway-pro-sites/colorway-pro-sites.php')) {

            $class = 'button cwy-sites-inactive';
            $button_text = __('Try our Colorway Sites Templates', 'traffica');
            $data_slug = 'colorway-sites';
            $data_init = '/colorway-sites/colorway-sites.php';

            // ColorWay Sites - Not Installed.
            // ColorWay Premium Sites - Inactive.
        } elseif (!file_exists(WP_PLUGIN_DIR . '/colorway-sites/colorway-sites.php') || is_plugin_inactive('colorway-pro-sites/colorway-pro-sites.php')) {
            $class = 'button cwy-sites-notinstalled';
            $button_text = __('Try our Colorway Sites Templates', 'traffica');
            $data_slug = 'colorway-sites';
            $data_init = '/colorway-sites/colorway-sites.php';

            // ColorWay Premium Sites - Active.
        } elseif (is_plugin_active('colorway-pro-sites/colorway-pro-sites.php')) {
            $class = 'active';
            $button_text = __('Start Building With Elementor »', 'traffica');
            $link = admin_url('themes.php?page=colorway-sites');
        } else {
            $class = 'active';
            $button_text = __('Start Building With Elementor »', 'traffica');
            $link = admin_url('themes.php?page=colorway-sites');
        }

        $content .= sprintf(
                '<a class="%1$s button-primary button-hero" %2$s %3$s %4$s> %5$s </a>', esc_attr($class), isset($link) ? 'href="' . esc_url($link) . '"' : '', isset($data_slug) ? 'data-slug="' . esc_attr($data_slug) . '"' : '', isset($data_init) ? 'data-init="' . esc_attr($data_init) . '"' : '', esc_html($button_text)
        );
        $content .= '<a target="_blank" href="' . esc_url(admin_url("customize.php")) . '" class="button cwy-sites-btn">Go to the Customizer</a></div>
       </div></div><div class="warning-message">
       <img src="'. get_template_directory_uri().'/assets/images/information-icon.png"/>
    <p>Importing Colorway Elementor Templates will set a new Homepage. To reinstate your Homepage refer to the video or <a href="'.esc_url(admin_url('options-reading.php')).'">Click Here</a> .</p>
</div></div><div class="cw-sites-video">
<h4>How to import templates?</h4>  
 <div class="cwy-video-section embed-container">
<iframe width="100%" height="315px" src="https://www.youtube.com/embed/EzXvzG_xllM" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>                </div>
            
</div>
        </div>
        </div>
	</div>';
        // }
        return $content;
    } else {
        $content = '<div id="colorway-sites-on-active"><div class="about-us-customizer1"><div class="cw-site-wrap"><a target="_blank" href="' . esc_url(admin_url("themes.php?page=colorway-sites")) . '" class="button btn-cw-sites">See Library</a></div><b><p class="about-page-seperator">Or</p></b><div class="cw-site-wrap"><a target="_blank" href="' . esc_url(admin_url("customize.php")) . '" class="button btn-cw-sites">Go to the Customizer</a></div></div></div>';

        return $content;
    }
}
